package omq.test.multiProcess;

import omq.client.annotation.SyncMethod;
import omq.server.RemoteObject;

public class NumberImpl extends RemoteObject implements Number {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private int x = 0;

	public NumberImpl() {
	}

	public NumberImpl(int x) {
		this.x = x;
	}

	@Override
	@SyncMethod
	public void setNumber(int x) {
		this.x = x;
	}

	@Override
	@SyncMethod(timeout = 1000)
	public int getNumer() {
		return x;
	}

}
